# rpm does not currently pull debuginfo out of mono packages
%global debug_package %{nil}  

Summary:	      MonoDevelop Boo Add-in
Name:		      monodevelop-boo
Version:	      2.4
Release:	      6%{?dist}
License:	      GPLv2+
Group:		      Development/Tools
Source:		      http://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
# I'm not 100% sure this is correct, because of poor documentation, but it compiles.
Patch0:               monodevelop-boo-2.4-API-fix.patch
URL:		      http://www.monodevelop.com/
BuildRoot:	      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)  
BuildRequires:	      mono-devel >= 2.6 boo-devel monodevelop-devel >= 2.4 mono-addins-devel 
BuildRequires:	      gtksourceview-sharp-devel desktop-file-utils intltool
Requires:	      boo monodevelop >= 2.4
ExcludeArch:	      sparc64

%description
Boo Add-in for MonoDevelop. 

%package devel
Summary: Development files for MonoDevelop Boo Add-in
Group:	 Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Boo Add-in for MonoDevelop. Development package.

The %{name}-devel package contains development 
files for %{name}.

%prep
%setup -q
%patch0 -p1
sed -i -e 's!@prefix@/lib/!%{_libdir}/!g' monodevelop-boo.pc.in
sed -i -e 's!@prefix@/lib/!%{_libdir}/!g' Makefile.include
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' BooBinding.make
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' BooShell/Makefile
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' po/Makefile

%build
./configure --prefix=%{_prefix}
# does not support parallel builds
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -type f -o -type l|sed '
s:'"%{buildroot}"'::
s:\(.*/%{_lib}/monodevelop/AddIns/BooBinding/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
/^$/d' > %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_libdir}/monodevelop/AddIns/BooBinding
%{_libdir}/monodevelop/AddIns/BooBinding/*.dll
%{_libdir}/monodevelop/AddIns/BooBinding/*.mdb
%dir %{_libdir}/monodevelop/AddIns/BooBinding/icons
%{_libdir}/monodevelop/AddIns/BooBinding/icons/Boo*
%dir %{_libdir}/monodevelop/AddIns/BooBinding/locale
%dir %{_libdir}/monodevelop/AddIns/BooBinding/locale/*
%dir %{_libdir}/monodevelop/AddIns/BooBinding/locale/*/LC_MESSAGES

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/monodevelop-boo.pc

%changelog
* Tue May 17 2011 Tom Callaway <spot@fedoraproject.org> - 2.4-6
- fix code against newer boo

* Thu May 05 2011 Christian Krause <chkr@fedoraproject.org> - 2.4-5
- Rebuilt against mono 2.10.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 26 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-3
- Rebuild against newer boo

* Sat Jun 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1
- Bump to 2.4
- Alter BR and R for 2.4 release

* Mon May 31 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.3.1-2
- Spec file update to pull in MD-2.3.1

* Sun May 30 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.3.1-1
- Bump to 2.4 beta 2

* Tue May 18 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.3-1
- Bump to 2.4 beta

* Wed Feb 24 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-6
- Minor spec changes

* Sat Feb 20 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-5
- More lang file fixes
- Spec file clean up

* Sat Feb 13 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-4
- Remove gettext fix
- Spec file cleanup
- Use lang fix from anki package

* Tue Feb 02 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-3
- Add gettext fix

* Sun Jan 24 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2
- Fix licence and packaging problems

* Sat Jan 02 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1
- Initial import
